Nimbu Developer Docs
ReferencePages

Save a page draft (PATCH alias of POST)

PATCH
/pages/{page_id}/draft

Same behaviour, body and responses as POST /pages/{page_id}/draft. Drafts are always a full replace, so there is no merge difference between the verbs.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

page_id*string

Existing page id, or a new ObjectId to create a draft-only page

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/pages/string/draft" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "page_id": "string",
  "future_page_id": "string",
  "reserved_fullpath": "string",
  "content": {},
  "updated_at": "2019-08-24T14:15:22Z"
}